properties-cpp: core::ScopedConnection Class Reference

properties-cpp 0.0.3 A very simple convenience library for handling properties and signals in C++11.

core::ScopedConnection Class Reference

Scoped helper class to map signal-slot connection mgmt. to RAII. More...

`#include <connection.h>`

Collaboration diagram for core::ScopedConnection:

## Public Member Functions
| ScopedConnection (const Connection &c)
| Constructs an instance for an existing signal-slot connection.
| ScopedConnection (ScopedConnection &&rhs)
| ScopedConnection (const ScopedConnection &)=delete
| ~ScopedConnection () noexcept(true)
| Disconnects the signal-slot connection.
ScopedConnection & | operator= (ScopedConnection &&rhs)
ScopedConnection & | operator= (const ScopedConnection &)=delete
bool | operator== (const ScopedConnection &)=delete
bool | operator< (const ScopedConnection &rhs) const

## Detailed Description

Scoped helper class to map signal-slot connection mgmt. to RAII.

Definition at line 141 of file connection.h.

## Constructor & Destructor Documentation

## ◆ ScopedConnection() [1/3]

core::ScopedConnection::ScopedConnection | ( | const Connection & | c | ) |
| inline

Constructs an instance for an existing signal-slot connection.

Parameters

  c | The existing signal-slot connection.

Definition at line 148 of file connection.h.

Referenced by operator<(), operator=(), operator=(), operator==(), ScopedConnection(), and ScopedConnection().

## ◆ ScopedConnection() [2/3]

core::ScopedConnection::ScopedConnection | ( | ScopedConnection && | rhs | ) |
| inline

Definition at line 152 of file connection.h.

References ScopedConnection().

Here is the call graph for this function:

## ◆ ScopedConnection() [3/3]

core::ScopedConnection::ScopedConnection | ( | const ScopedConnection & |  | ) |
| delete

References ScopedConnection().

Here is the call graph for this function:

## ◆ ~ScopedConnection()

core::ScopedConnection::~ScopedConnection | ( |  | ) |
| inlinenoexcept

Disconnects the signal-slot connection.

Definition at line 161 of file connection.h.

## Member Function Documentation

## ◆ operator<()

bool core::ScopedConnection::operator< | ( | const ScopedConnection & | rhs | ) | const
| inline

Definition at line 180 of file connection.h.

References ScopedConnection().

Here is the call graph for this function:

## ◆ operator=() [1/2]

ScopedConnection & core::ScopedConnection::operator= | ( | const ScopedConnection & |  | ) |
| delete

References ScopedConnection().

Here is the call graph for this function:

## ◆ operator=() [2/2]

ScopedConnection & core::ScopedConnection::operator= | ( | ScopedConnection && | rhs | ) |
| inline

Definition at line 171 of file connection.h.

References ScopedConnection().

Here is the call graph for this function:

## ◆ operator==()

bool core::ScopedConnection::operator== | ( | const ScopedConnection & |  | ) |
| delete

References ScopedConnection().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /build/properties-cpp/src/properties-cpp-0.0.4/include/core/connection.h